* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.cardHighlight {
  min-height: 100%;
}

/* Navbar */
.navbar {
  width: 90%;
  margin: auto;
  justify-content: space-between;
  padding: 15px 0;
  min-height: 72px;
}

.navtext {
  color: whitesmoke;
  font-size: 1.2rem;
}

.logo {
  height: .2em;
}

.name {
  color: whitesmoke;
}

.lastName {
  color: crimson;
}

.navbar-light .navbar-nav .nav-link {
  color: crimson;
  text-transform: uppercase;
  font-size: .9rem;
  font-weight: 600;
}

.navbar-light .navbar-nav .nav-link.active {
  color: whitesmoke;
}

.navbar-light .navbar-nav .nav-link:hover {
  color: whitesmoke;
}

.navbar-light .navbar-toggler {
  background-color: whitesmoke;
}

.navbar-light .navbar-toggler:focus {
  outline-color: crimson;
}

/* Landing */
.hero {
  width: 100%;
  margin: auto;
  background-image: url('./img/bg.png');
  background-position: center;
  background-size: cover;
  height: 100vh;
}

.hero-text {
  color: whitesmoke;
  padding-top: 20%;
  padding-left: 8%;
  
}

@media (max-width: 768px){
  .hero-text {
    color: whitesmoke;
    padding-top: 60%;
    padding-left: 8%;
  }

  .hero-text h1 {
    font-size: 1.5rem;
  }

  .hero-text p {
    font-size: 1rem;
    width: 55%;
  }
}

/* About */

.aboutpage {
  background-image: url(../src/img/about.jpg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  background-color: rgba(0, 0, 0, 0.802);
  background-blend-mode: overlay;
  width: 100%;
  height: 100vh;
}

.aboutpage .title {
  color:rgba(245, 245, 245, 0.72);
  width: 50%;
  margin: auto;
  background-color: rgba(0, 0, 0, 0.652);
  text-transform: uppercase;
  -webkit-text-stroke: 1px black;
  margin-top: 1em;
  margin-bottom: .7em;
  font-weight: 900;
  letter-spacing: .3em;
  border: 5px solid rgb(141, 135, 135);
  border-radius: .5em;
  box-shadow: 2px 5px 8px 2px whitesmoke;
  border-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='2' height='5'><defs><linearGradient id='redgradient'><stop offset='0' stop-color='%000000'/><stop offset='0.100' stop-color='%23FF4834'/><stop offset='1' stop-color='%233B0300'/></linearGradient></defs><g id='Layer_1'><path d='M0,0 L50,0 L50,50 L0,50 L0,0 z' fill='url(%23redgradient)' width='10%' height='10%'/></g></svg>") 5% stretch;
}

.aboutpage .container {
  margin-top: 2%;
  margin-bottom: auto;
}

.myself {
  color: whitesmoke;
}

.personal_info {
  color: whitesmoke;
}

.personal_info ul li {
  border-bottom: 1px solid whitesmoke;
  list-style: none;
  padding-bottom: .2em;
}

.about-text {
  color: whitesmoke;
}

.profile_img img {
  width: 100%;
  height: 100%;
  margin: auto;
}

.about-one {
  display: flex;
  width: 80%;
  margin: auto;
}

.color_secondery {
  color: gray;
  
}

@media (max-width: 768px) {
  .aboutpage {
    height: 100%;
    padding-bottom: 3.5em;
    background-color: rgba(0, 0, 0, 0.836);
    background-blend-mode: overlay;
  }

  .aboutpage .title {
    font-size: 1rem;
    padding: .2em;
    width: 80%;
    margin: auto;
    margin-top: .9rem;
    margin-bottom: .7em;
  }

  .profile_img img {
    width: 100%;
    height: 100%;
    margin: auto;
  }
}


/* Skills */

.skills {
  background-image: url('../src/img/skillsbg.jpg');
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  background-color: rgba(0, 0, 0, 0.727);
  background-blend-mode: overlay;
  height: 100vh;
}

.skills .container {
  margin-top: 2%;
  margin-bottom: auto;
}

.skills .title {
  color:rgba(245, 245, 245, 0.72);
  width: 50%;
  margin: auto;
  background-color: rgba(0, 0, 0, 0.652);
  text-transform: uppercase;
  -webkit-text-stroke: 1px black;
  margin-top: 1em;
  margin-bottom: .7em;
  font-weight: 900;
  letter-spacing: .3em;
  border: 5px solid rgb(141, 135, 135);
  border-radius: .5em;
  box-shadow: 2px 5px 8px 2px whitesmoke;
  border-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='2' height='5'><defs><linearGradient id='redgradient'><stop offset='0' stop-color='%000000'/><stop offset='0.100' stop-color='%23FF4834'/><stop offset='1' stop-color='%233B0300'/></linearGradient></defs><g id='Layer_1'><path d='M0,0 L50,0 L50,50 L0,50 L0,0 z' fill='url(%23redgradient)' width='10%' height='10%'/></g></svg>") 5% stretch;
}

.skills .section_title_1 {
  margin-bottom: 1em;
}

.about_myskill {
  color: whitesmoke;
}

.pt_15 {
  color: lightgray;
}

.skill-progress {
  line-height: 2em;
}

.skill-percent{
  position: absolute;
  right: 0;
  top: 0;
  text-align: right;
  font-weight: 700;
  font-size: 15px;
}

.skill-progress .progress{
  line-height: 2em;
  border-radius: 0px;
}

.fact-counter{
  position: relative;
  z-index: 2;
}

.line_double::before, .line_double::after,.progress-bar,.service_two .srv_icon,
.owl-carousel .owl-nav button.owl-prev, .owl-carousel .owl-nav button.owl-next,
.lds-spinner div,.socal_media ul li a,#pp-nav li .active span, .pp-slidesNav .active span,
.carousel-indicators .active,.contact_icon,.widget_title:before,.progress-bar,.page-item.active .page-link,
.page-link:hover,.tags ul li a:hover{
	background-color:crimson !important;
}


.progress-bar{
  transition: all 3000ms ease 0s;
  width: 0
}

.progress {
  display: -ms-flexbox;
  display: flex;
  height: 1rem;
  overflow: hidden;
  font-size: .75rem;
  background-color: #e9ecef;
  border-radius: .25rem;
}

.prgs-bar > span {
  font-weight: 600;
  text-transform: uppercase;
  color: whitesmoke;
}


@media (max-width: 768px) {
  .skills {
    height: 100%;
    padding-bottom: 5em;
    background-color: rgba(0, 0, 0, 0.822);
    background-blend-mode: overlay;
    }

    .skills .title {
      font-size: 1rem;
      padding: .2em;
      width: 80%;
      margin: auto;
      margin-top: .9rem;
      margin-bottom: .7em;
    }
  }

/* Portfolio */
.portfolio {
  background-image: url('../src/img/portfoliobg.jpg');
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  background-color: rgba(0, 0, 0, 0.57);
  background-blend-mode: overlay;
  height: 100vh;
}

.portfolio .title {
  color:rgba(245, 245, 245, 0.72);
  width: 50%;
  margin: auto;
  background-color: rgba(0, 0, 0, 0.652);
  text-transform: uppercase;
  -webkit-text-stroke: 1px black;
  margin-top: 1em;
  margin-bottom: .7em;
  font-weight: 900;
  letter-spacing: .3em;
  border: 5px solid rgb(141, 135, 135);
  border-radius: .5em;
  box-shadow: 2px 5px 8px 2px whitesmoke;
  border-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='2' height='5'><defs><linearGradient id='redgradient'><stop offset='0' stop-color='%000000'/><stop offset='0.100' stop-color='%23FF4834'/><stop offset='1' stop-color='%233B0300'/></linearGradient></defs><g id='Layer_1'><path d='M0,0 L50,0 L50,50 L0,50 L0,0 z' fill='url(%23redgradient)' width='10%' height='10%'/></g></svg>") 5% stretch;
}

.portfolio .section_title_1 {
  margin-bottom: 1em;
}

.portfolio-items img {
  width: 100%;
}

.portfolio .container {
  margin-top: 5%;
  margin-bottom: auto;
}

.portfolio-items {
  width: 100%;
  
}

.default-portfolio-item {
  border: 5px solid crimson;
}

.portfolio-items .row {
  width: 100%;
  margin: 0;
  justify-content: space-around;
}

.portfolio-items .row .default-portfolio-item {
  width: 100%;
  /* background-color: rgba(0, 0, 0, 0.438); */
  border: 1px solid rgba(255, 0, 0, 0);
  
}

figure.portfolio-items.bh {
  width: 90%;
  background-image: url(../src/img/Buffalo.png);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  height: 35vh;
  border: 10px solid rgb(71, 68, 68);
  border-radius: 1em;
}

figure.portfolio-items.hfm {
  width: 90%;
  background-image: url(../src/img/hfm.png);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  height: 35vh;
  border: 10px solid rgb(71, 68, 68);
  border-radius: 1em;
}

figure.portfolio-items.es {
  width: 90%;
  background-image: url(../src/img/es.png);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  height: 35vh;
  border: 10px solid rgb(71, 68, 68);
  border-radius: 1em;
}


/* Hover Effect */
figure.portfolio-items {
  background: darkgray;
  width: 90%;
  background-image: url(../src/img/Buffalo.png);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  height: 35vh;
}

.portfolio-items img {
  width: 100%;
	opacity: 0.9;
	-webkit-transition: opacity 0.35s;
	transition: opacity 0.35s;
}

figure.portfolio-items figcaption::before {
	position: absolute;
	top: 30px;
	right: 30px;
	bottom: 30px;
	left: 30px;
  border: 2px solid rgba(255,255,255,0.2);
	box-shadow: 0 0 0 30px rgba(255,255,255,0.2);
	content: '';
	opacity: 0;
	-webkit-transition: opacity 0.35s, -webkit-transform 0.35s;
	transition: opacity 0.35s, transform 0.35s;
	-webkit-transform: scale3d(1.4,1.4,1);
  transform: scale3d(1.4,1.4,1);
  background-color: rgb(44, 42, 42);
  border-radius: 1em;
}

/* figure.portfolio-items h2 {
	margin: 20% 0 10px 0;
	-webkit-transition: -webkit-transform 0.35s;
  transition: transform 0.35s;
  align-items: center;
} */

figure.portfolio-items h2 {
	padding: 1em;
	opacity: 0;
	-webkit-transition: opacity 0.35s, -webkit-transform 0.35s;
	transition: opacity 0.35s, transform 0.35s;
	-webkit-transform: scale(1.5);
  transform: scale(1.5);
  text-align: center;
  bottom: 0;
}

figure.portfolio-items:hover h2 {
	-webkit-transform: scale(0.9);
  transform: scale(0.9);
  margin: auto;
  margin-top: 20%;
  color: whitesmoke;
}

figure.portfolio-items:hover figcaption::before,
figure.portfolio-items:hover h2 {
	opacity: 1;
	-webkit-transform: scale3d(1,1,1);
  transform: scale3d(1,1,1);
  align-items: center;  
}


figcaption h2:hover {
  text-align: center;
  align-items: center;
  color: whitesmoke;
}

figure.portfolio-items a {
  text-decoration: none;
  align-items: center;
  color: whitesmoke;
}

figure.portfolio-items a:hover {
  text-decoration: none;
  align-items: center;
  color: whitesmoke;
}

@media (max-width: 768px) {
  .portfolio {
    height: 100%;
    padding-bottom: 5em;
    }

    .portfolio .title {
      font-size: 1rem;
      padding: .2em;
      width: 70%;
      margin: auto;
      margin-top: .9rem;
      margin-bottom: .7em;
    }
  }

/* Contact */
.contact {
  background-image: url('../src/img/contact.png');
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  background-color: #2e2e2ebd;
  background-blend-mode: overlay;
  height: 100vh;
}

.contact .container {
  margin-top: 5%;
  margin-bottom: auto;
}

.contact .title {
  color:rgba(245, 245, 245, 0.72);
  width: 50%;
  margin: auto;
  background-color: rgba(0, 0, 0, 0.652);
  text-transform: uppercase;
  -webkit-text-stroke: 1px black;
  margin-top: 1em;
  margin-bottom: .7em;
  font-weight: 900;
  letter-spacing: .3em;
  border: 5px solid rgb(141, 135, 135);
  border-radius: .5em;
  box-shadow: 2px 5px 8px 2px whitesmoke;
  border-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='2' height='5'><defs><linearGradient id='redgradient'><stop offset='0' stop-color='%000000'/><stop offset='0.100' stop-color='%23FF4834'/><stop offset='1' stop-color='%233B0300'/></linearGradient></defs><g id='Layer_1'><path d='M0,0 L50,0 L50,50 L0,50 L0,0 z' fill='url(%23redgradient)' width='10%' height='10%'/></g></svg>") 5% stretch;
}

.sub_title {
  color: lightgray;
}

.contact .section_title_1 {
  padding-bottom: 2em;
}

.contact_info ul li {
  list-style: none;
}

.contact_text {
  color: whitesmoke;
  display: table-cell;
  padding-bottom: 1.5em;
}

.contact_text .color_lightgray {
  color: lightgray;
}

.btn {
  background: whitesmoke;
  color: black;
  border: 2px solid rgb(34, 3, 3);
  outline: none;
}

.btn a {
  color: black;
}

.btn a:hover {
  text-decoration: none;
  color: whitesmoke;
}

.btn:hover {
  background: black;
  border: 1px solid white;
  color: whitesmoke;
}

@media (max-width: 768px) {
  .contact {
    height: 100%;
    padding-bottom: 2.5em;
    }

    .contact_info {
      width: 80%;
      margin: auto;
      align-items: center;
    }

    .contact .title {
      font-size: 1rem;
      padding: .2em;
      width: 80%;
      margin: auto;
      margin-top: .9rem;
      margin-bottom: .7em;
    }
  }

/* Footer */
.footer {
  padding: 1rem;
  background-color: rgba(0, 0, 0, 0.213);
  position: fixed;
  bottom: 0;
  left: 0;
  margin: auto;
  width: 100%;
  text-align: center;
  font-size: .8rem;
  z-index: 10;
}

.footer p {
  margin: 0;
  color: whitesmoke;
  z-index: 10;
}
